## fonts-ebgaramond-initials 0.016+git20230414

=== Makefile ===
NAME=EBGaramond
TAG_COMMIT := $(shell git rev-list --abbrev-commit --tags --max-count=1)
TAG := $(shell git describe --abbrev=0 --tags ${TAG_COMMIT} 2>/dev/null || true)
COMMIT := $(shell git rev-parse --short HEAD)
DATE := $(shell git log -1 --format=%cd --date=format:"%Y%m%d")
VERSION := $(TAG:v%=%)
ifneq ($(COMMIT), $(TAG_COMMIT))
	VERSION := $(VERSION)-next-$(COMMIT)-$(DATE)
endif

SRC=SFD
BLD=build
WEB=web
SPEC=specimen
PACK=$(NAME)-$(VERSION)
WPCK=$(NAME)-$(VERSION)-web
DIST=$(NAME)-$(VERSION)-complete

#Call script through fontforge, not python. https://github.com/fontforge/fontforge/issues/528
FF=fontforge
#Return to python because we don’t scale the font any longer.
ifeq ($(OS),Windows_NT)
    PYTHON?=ffpython
else
    PYTHON?=python3
endif
SCRIPT=tools/makefont.py

FONTS= -Initials -InitialsF1 -InitialsF2

SFD=$(FONTS:%=$(SRC)/$(NAME)%.sfdir)
OTF=$(FONTS:%=$(BLD)/$(NAME)%.otf)
TTF=$(FONTS:%=$(BLD)/$(NAME)%.ttf)
WOF=$(FONTS:%=$(WEB)/$(NAME)%.woff)
PDF=$(FONTS:%=$(SPEC)/$(NAME)%-Glyphs.pdf)

all: otf ttf webfonts # pdfs
pack: dpack wpack

otf: $(OTF)
ttf: $(TTF)
webfonts: $(WOF)
pdfs: $(PDF)

$(BLD):
	@mkdir $@
$(WEB):
	@mkdir -p $@
$(SPEC):
	@mkdir -p $@

$(BLD)/%.otf: $(SRC)/%.sfdir Makefile $(SCRIPT) | $(BLD)
	@echo "Generating	$@"
	@$(PYTHON) $(SCRIPT) $< $@ $(VERSION)

$(BLD)/%.ttf: $(SRC)/%.sfdir Makefile $(SCRIPT) | $(BLD)
	@echo "Generating	$@"
	@$(PYTHON) $(SCRIPT) $< $@ $(VERSION)
	@echo "Autohinting	$@"
	@ttfautohint -x 0 -a sss $@ $@.tmp
	@mv $@.tmp $@

$(WEB)/%.woff: $(BLD)/%.ttf | $(WEB) $(BLD)
	@echo "Generating	$@"
	@fontforge -lang=ff -c 'Open($$1); Generate($$2)' $< $@

$(SPEC)/%-Glyphs.pdf: $(BLD)/%.ttf $(SPEC)
	@echo "Generating	$@"
	@fntsample -f $< -o $@ -l > $@.outline
	@pdfoutline $@ $@.outline $@
	@rm $@.outline

dpack: $(OTF) $(TTF)
	@echo "Packing fonts to zipfile"
	@mkdir -p $(PACK)/otf
	@mkdir -p $(PACK)/ttf
	@mkdir -p $(PACK)/specimen
	@cp $(OTF) $(PACK)/otf
	@cp $(TTF) $(PACK)/ttf
#	@cp $(PDF) $(PACK)/specimen        #Temporarily out of order
	@cp $(SPEC)/Specimen.pdf  $(PACK)/specimen
	@cp Changes README.markdown README.xelualatex COPYING $(PACK)
	@zip -r $(PACK).zip $(PACK)

wpack: $(WOF)
	@echo "Packing webfonts to zipfile"
	@mkdir -p $(WPCK)
	@cp $(WOF) README.markdown COPYING $(WPCK)
	@zip -r $(WPCK).zip $(WPCK)

dist: $(OTF) $(TTF) $(WOF)
	@echo "Making dist tarball"
	@mkdir -p $(DIST)/$(SRC)
	@mkdir -p $(DIST)/$(BLD)
	@mkdir -p $(DIST)/$(WEB)
	@mkdir -p $(DIST)/tools
	@mkdir -p $(DIST)/$(SPEC)
	@cp -r $(SFD) $(DIST)/$(SRC)
	@cp $(OTF) $(TTF) $(DIST)/$(BLD)
#	@cp $(PDF) $(SPEC)/Specimen.pdf $(DIST)/$(SPEC) #Temporarily out of order
	@cp $(SPEC)/Specimen.pdf $(DIST)/$(SPEC)
	@cp $(SCRIPT) $(DIST)/tools
	@cp Changes Makefile README.md README.xelualatex COPYING $(DIST)
	@zip -r $(DIST).zip $(DIST)

cleanpack:
	@rm -rf $(PACK) $(PACK).zip  $(WPCK) $(WPCK).zip

clean:
	@rm -rf $(OTF) $(TTF) $(WOF) $(PDF) $(PACK) $(PACK).zip $(WPCK) $(WPCK).zip $(DIST) $(DIST).zip

## fonts-ebgaramond-initials 0.016%2Bgit20230414

=== debian/control ===
Source: fonts-ebgaramond-initials
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders:
 Agathe Porte <gagath@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 fontforge,
 python3-fontforge,
 ttfautohint,
Standards-Version: 4.7.2
Homepage: http://www.georgduffner.at/ebgaramond/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-ebgaramond-initials.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-ebgaramond-initials
Rules-Requires-Root: no

Package: fonts-ebgaramond-initials
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: EB Garamond Initials OpenType fonts
 EB Garamond is an open source project to create a revival of Claude Garamont’s
 famous humanist typeface from the mid-16th century. This package contains
 OpenType fonts.
Breaks:
 fonts-ebgaramond-extra (<< 0.016+git20230418-1),
Replaces:
 fonts-ebgaramond-extra (<< 0.016+git20230418-1),

Package: fonts-ebgaramond-initials-extra
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: EB Garamond Initials TrueType and web fonts
 EB Garamond is an open source project to create a revival of Claude Garamont’s
 famous humanist typeface from the mid-16th century. This package contains
 TrueType fonts (.ttf) and webfonts (.woff).
Breaks:
 fonts-ebgaramond-extra (<< 0.016+git20230418-1),
Replaces:
 fonts-ebgaramond-extra (<< 0.016+git20230418-1),

## fonts-ebgaramond-initials 0.016+git20230414

=== debian/changelog ===
fonts-ebgaramond-initials (0.016+git20230414-2) unstable; urgency=medium

  * Team upload

  [ Agathe Porte ]
  * Packages break+replace previous fonts-ebgaramond-extra (Closes: #1102712)
  * Introduce d/salsa-ci.yml

 -- Bastian Germann <bage@debian.org>  Fri, 19 Sep 2025 22:03:24 +0200

fonts-ebgaramond-initials (0.016+git20230414-1) unstable; urgency=medium

  * Initial release. (Closes: #1099566)

 -- Agathe Porte <gagath@debian.org>  Fri, 14 Mar 2025 04:22:23 +0100

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.016+git%cd" \
 https://github.com/georgd/EB-Garamond-Initials \
 HEAD
